> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# usage dashboard split by severity



## OpenAPI

````yaml /openapi.json post /api/v1/project/{id}/dashboard/usage/severity
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/project/{id}/dashboard/usage/severity:
    post:
      tags:
        - Project Route
      summary: usage dashboard split by severity
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HistogramRequestDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageHistogramDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    HistogramRequestDto:
      required:
        - from
        - to
        - interval
      type: object
      properties:
        query:
          description: >-
            Query string according to
            https://www.elastic.co/guide/en/elasticsearch/reference/current/query-dsl-query-string-query.html
            with Default: auto_generate_synonyms_phrase_query=false,
            fuzzy_max_expansions=0, fuzzy_transpositions=false
          type: string
          example: address:0xdAC17F958D2ee523a2206206994597C13D831ec7
        from:
          format: int64
          description: From milliseconds timestamp for histogram calculation
          minimum: 0
          type: integer
        to:
          format: int64
          description: To milliseconds timestamp for histogram calculation
          minimum: 0
          type: integer
        interval:
          description: 'Interval for histogram buckets calculation. Example: 1h, 3h, 1d, 1M'
          type: string
          example: 1d
        timezone:
          description: 'TimeZone for histogram buckets calculation. Default: UTC'
          type: string
          example: '-01:00'
    UsageHistogramDto:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            $ref: '#/components/schemas/UsageHistogramBucketDto'
    UsageHistogramBucketDto:
      type: object
      properties:
        ts:
          format: int64
          description: Timestamp milliseconds for this histogram bucket
          type: integer
        bucket:
          description: Histogram bucket data for different keys
          type: object
          additionalProperties:
            $ref: '#/components/schemas/HistogramBucketDataDto'
    HistogramBucketDataDto:
      type: object
      properties:
        count:
          format: int64
          description: Total count of alerts for this histogram bucket
          type: integer
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````